package com.aucma.base.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 质检工位/缺陷维护对象 station_defect_relation
 *
 * @author Yinq
 * @date 2023-11-27
 */
public class StationDefectRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 质检工位编号
     */
    @Excel(name = "质检工位编号")
    private String stationCode;

    /**
     * 质检工位名称
     */
    @Excel(name = "质检工位名称")
    private String stationName;

    /**
     * 缺陷编号
     */
    @Excel(name = "缺陷编号")
    private String defectCode;

    /**
     * 缺陷名称
     */
    @Excel(name = "缺陷名称")
    private String defectName;

    /**
     * 所属产线
     */
    @Excel(name = "所属产线")
    private String productionLine;

    /**
     * 启用标识
     */
    @Excel(name = "启用标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    /**
     * 物料大类
     */
    @Excel(name = "物料大类")
    private String materialCategories;

    /**
     * 物料小类
     */
    @Excel(name = "物料小类")
    private String materialSubclass;

    private List<String> defectCodeList;

    public List<String> getDefectCodeList() {
        return defectCodeList;
    }

    public void setDefectCodeList(List<String> defectCodeList) {
        this.defectCodeList = defectCodeList;
    }

    public String getMaterialCategories() {
        return materialCategories;
    }

    public void setMaterialCategories(String materialCategories) {
        this.materialCategories = materialCategories;
    }

    public String getMaterialSubclass() {
        return materialSubclass;
    }

    public void setMaterialSubclass(String materialSubclass) {
        this.materialSubclass = materialSubclass;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStationName() {
        return stationName;
    }

    public void setDefectCode(String defectCode) {
        this.defectCode = defectCode;
    }

    public String getDefectCode() {
        return defectCode;
    }

    public void setDefectName(String defectName) {
        this.defectName = defectName;
    }

    public String getDefectName() {
        return defectName;
    }

    public void setProductionLine(String productionLine) {
        this.productionLine = productionLine;
    }

    public String getProductionLine() {
        return productionLine;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("stationCode", getStationCode())
                .append("stationName", getStationName())
                .append("defectCode", getDefectCode())
                .append("defectName", getDefectName())
                .append("productionLine", getProductionLine())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
